Kerbal Space Program - Bug #1127

Debris Sink Through Minmus "Lakes"
07/25/2013 06:31 PM - Moose

Status: Closed Start date: 07/25/2013
Severity: Normal % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 0.21.1 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

I have found that smaller debris love to fall through the lakes of Minmus. | assume they will reach the middle and just bounce up and
down.

Going to the Tracking Station and returning resets the debris onto the surface as per the safety check. They promptly sink again,
however.

Marked this as normal priority as it may be an indicator of a bigger problem with terrain at Om. Possibly fixed by lifting the height of
the lakes by 10 meters?

Related issues:
Related to Kerbal Space Program - Bug #1147: Objects falling through ground (... Closed 07/27/2013

History

#1 - 07/25/2013 07:03 PM - Moose

Must also point out that all parts are stock. No mods used.

#2 - 07/25/2013 07:05 PM - Ted

Hmm, that is a pretty sucky issue. Does it occur with controllable debris? Eg, detached probes.

#3 - 07/25/2013 07:32 PM - Moose
- File KSP 2013-07-26 01-30-17-86.png added

As far as | can tell from testing it effects anything 1.5m or smaller. Mainly seen with RCS thruster blocks but also 1.5m nose cones and the
odd-shaped probe cores in testing. It is definitely single-item debris - any debris that is still together does not fall through the surface.

If you switch to something controllable, any falling debris actually seem to freeze in place and will stay there. Any debris that start falling after the
switch will continue to fall until you switch back to a controllable debris.

| can only assume due to the debris size that they clip through the Om threshold just enough to clip through the collision detection.

#4 - 07/25/2013 07:33 PM - Moose

When | say "Switch back to a controllable Debris" | meant switching between debris until another controllable, or even the same, is selected again. Be
that a single switch or multiple.

#5 - 07/25/2013 07:47 PM - Moose
Added possibly related bug #1129

#6 - 07/17/2016 09:24 AM - TriggerAu

- Status changed from New to Needs Clarification

#7 - 08/07/2016 11:40 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100
https://bugs.kerbalspaceprogram.com/issues/1129

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
